import request from "@/http/request";

export default {
    // 根据条件获取全部订单
    getOrderOutList(params) {
        return request.post('/api/orderOut/queryOrderOut', params)
    },
    // 执行出库
    executeOut(rowId) {
        return request.put('/api/orderOut/executeOrderOut/' + rowId)
    },
    //  刪除按钮
    deleteOrder(rowId){
        return request.delete('/api/orderOut/deleteOrderOut/' + rowId)
    },
    // 添加按钮
    addOrder(params){
        return request.post('/api/orderOut/addOrderOut', params)
    },
    emptyAddOrder(params){
        return request.post('/api/orderOut/emptyAddOrderOut', params)
    },
    addOrderByInsertEmpty(params){
        return request.post('/api/orderOut/addOrderByInsertEmpty', params)
    },
    // // 库存页面执行出库
    // outRowStock(rowId){
    //     return request.put('/api/orderOut/outRowStock/' + rowId)
    // }
}